site_name: Self Data Grand Lyon - Technical Docs
site_description: Self Data Grand Lyon Project Documentation with Markdown.
site_author: Métropole de Lyon
repo_name: "Clone the Project"
repo_url: "https://forge.grandlyon.com/web-et-numerique/llle_project/self-data-technical-doc"

theme:
  name: "material"
  # logo: 'img/self_data_grdlyon.png'
  favicon: "img/self_data_grdlyon.png"
  palette:
    primary: "white"
    accent: "red"

markdown_extensions:
  - admonition
  - plantuml_markdown:
      server: http://www.plantuml.com/plantuml
  - attr_list
  - pymdownx.emoji

extra_css:
  - "stylesheets/extra.css"

nav:
  - Home: index.md
  - Easy Cozy:
      - Configuration: easycozy/config.md
      - Commands: easycozy/commands.md
      - Known errors: easycozy/known_errors.md
      - Scripts: easycozy/scripts.md
      - Tips: easycozy/tips.md
  - Ecolyo:
      - Introduction: ecolyo/index.md
      - Getting started:
          - Setup your environment: ecolyo/getting_started/setup_your_environment.md
          - Launch the application on local: ecolyo/getting_started/launch_local_application.md
          - Launch a konnector on local: ecolyo/getting_started/launch_local_konnector.md
      - Project Architecture:
          - Architecture: ecolyo/project_architecture/architecture.md
          - Libraries: ecolyo/project_architecture/libraries.md
          - Environments: ecolyo/project_architecture/environments.md
          - DocTypes: ecolyo/project_architecture/doctypes.md
          - Remote DocTypes: ecolyo/project_architecture/remote_doctypes.md
      - Application:
          - Deploy: ecolyo/application/deploy.md
          - Description: ecolyo/application/description.md
          - Gitflow: ecolyo/application/gitflow.md
          - Mail: ecolyo/application/mail.md
          - Redux: ecolyo/application/redux.md
          - Release: ecolyo/application/release.md
          - Scaffolding: ecolyo/application/scaffolding.md
      - Services:
          - Description: ecolyo/services/index.md
          - Monthly report notification: ecolyo/services/monthly_report_notification.md
          - Aggregator usage events: ecolyo/services/aggregator_usage_events.md
          - Consumption Alert: ecolyo/services/consumption_alert.md
      - Functionalities:
          - Initialization: ecolyo/functionalities/initialization.md
          - Consumption: ecolyo/functionalities/consumption.md
          - Ecogesture: ecolyo/functionalities/ecogesture.md
          - Challenge: ecolyo/functionalities/challenge.md
          - Profile Type: ecolyo/functionalities/profile_type.md
          - Analysis: ecolyo/functionalities/analysis.md
          - Usage events tracking: ecolyo/functionalities/usage_events_tracking.md
          - Feedback: ecolyo/functionalities/feedback.md
          - Terms: ecolyo/functionalities/terms.md
  - Pilote:
      - Pilote - TS - Back:
          - Index: pilote/Pilote - TS - Back/index.md
          - Application:
              - Deploy: pilote/Pilote - TS - Back/application/deploy.md
          - Functionalities:
              - Routes: pilote/Pilote - TS - Back/functionalities/routes.md
          - Getting Started:
              - Launch the application on local: pilote/Pilote - TS - Back/getting_started/launch_local_application.md
              - Setup your environment: pilote/Pilote - TS - Back/getting_started/setup_your_environment.md
          - Project Architecture: pilote/Pilote - TS - Back/project_architecture/architecture.md
      - Pilote - TS - Front:
          - Index: pilote/Pilote - TS - Front/index.md
          - Application:
              - Deploy: pilote/Pilote - TS - Front/application/deploy.md
          - Functionalities:
              - Routes: pilote/Pilote - TS - Front/functionalities/functions.md
          - Getting Started:
              - Launch the application on local: pilote/Pilote - TS - Front/getting_started/launch_local_application.md
      - Pilote - Usager:
          - Application:
              - Deploy: pilote/Pilote - Usager/application/deploy.md
              - Doctypes: pilote/Pilote - Usager/application/doctypes.md
              - Gitflow: pilote/Pilote - Usager/application/gitflow.md
              - Scaffolding: pilote/Pilote - Usager/application/scaffolding.md
              - Services: pilote/Pilote - Usager/application/services.md
              - Store: pilote/Pilote - Usager/application/store.md
          - Functionalities:
              - Appointments: pilote/Pilote - Usager/functionalities/appointments.md
              - Contact: pilote/Pilote - Usager/functionalities/contact.md
              - Document: pilote/Pilote - Usager/functionalities/document.md
              - Settings: pilote/Pilote - Usager/functionalities/setting.md
          - Getting Started:
              - Launch local doctypes: pilote/Pilote - Usager/getting_started/launch_local_doctypes.md
              - Launch local services: pilote/Pilote - Usager/getting_started/launch_local_services.md
  - Konnectors:
      - Introduction: konnectors/index.md
      - Enedis: konnectors/enedis.md
      - GRDF: konnectors/grdf.md
      - Eau du Grand Lyon: konnectors/egl.md
  - Proxy:
      - Description: proxy/description.md
      - Monitoring: proxy/monitoring.md
      - Use cases:
          - Enedis: proxy/use_cases/enedis.md
          - Grdf Adict: proxy/use_cases/grdfadict.md
